Multivariate Pattern Analysis in Python

# Man page for `dump`

## NAME

scatter - export dataset components into other (file) formats

## SYNOPSIS

pymvpa2 ,dump /[,--version/] [,-h/] ,-i DATASET /[,DATASET /...] [,-s | --sa SA | --fa FA | --da DA/] [,-o OUTPUT/] [,-f {hdf5,nifti,npy,txt}/] [,--mapper-dataset DATASET /[,DATASET /...]] [,--hdf5-compression TYPE/]

## DESCRIPTION

scatter not available: No module named _tkinter, please install the python-tk package

Dump dataset components in various formats

A single arbitrary dataset component (sample data, sample attribute, feature attribute, dataset attribute) can be selected and exported into another format. A list of supported formats and their respective capabilities is below.

PLAIN TEXT OUTPUT

1D and 2D numerical data can be export as plain text. In addition lists of strings are supported as well. Typically data is exported with one element per line is, except for 2D numerical matrices, where an entire row is written on a single line (space-separated).

For all unsupported data a warning is issued and a truncated textual description of the dataset component is given.

HDF5 STORAGE

Arbitrary data (types) can be stored in HDF5 containers. For simple data that is natively supported by HDF5 a top-level HDF5 dataset is created and contains all data. Complex, not natively supported data types are serialized before stored in HDF5.

NUMPY'S NPY BINARY FILES

This data format is for storing numerical data (with arbitrary number of dimensions in binary format).

NIFTI FILES

This data format is for (multi-dimensional) spatial images. Input datasets should have a mapper that can reverse-map the corresponding dataset component back into the image space.

## OPTIONS

--version
  show program's version and license information and exit
-h, --help, --help-np
  show this help message and exit. --help-np forcefully disables the use of a pager for displaying the help.
-i DATASET [DATASET ...], --input DATASET [DATASET ...]
  path(s) to one or more PyMVPA dataset files. All datasets will be merged into a single dataset (vstack'ed) in order of specification. In some cases this option may need to be specified more than once if multiple, but separate, input datasets are required.
-o OUTPUT, --output OUTPUT
  output filename. If no output file name is given output will be directed to stdout, if permitted by the data format
-f {hdf5,nifti,npy,txt}, --format {hdf5,nifti,npy,txt}
  output format
--mapper-dataset DATASET [DATASET ...]
  path to a PyMVPA dataset whose mapper should be used for reverse mapping features into volumetric space for NIfTI export. By default the mapper in the input dataset is used.

### Options for selecting dataset components:

-s, --samples
  dump the dataset samples.
--sa SA
  name of the sample attribute to be dumped.
--fa FA
  name of the feature attribute to be dumped.
--da DA
  name of the dataset attribute to be dumped.

### Option for HDF5 output:

--hdf5-compression TYPE
  compression type for HDF5 storage. Available values depend on the specific HDF5 installation. Typical values are: 'gzip', 'lzf', 'szip', or integers from 1 to 9 indicating gzip compression levels.

pymvpa2-dump 2.6.4

## EXAMPLES

Print a sample attribute

  `$ pymvpa2 dump -i mydata.hdf5 --sa subj`

Export the sample data array into NumPy's .npy format

  `$ pymvpa2 dump -i mydata.hdf5 -s -f npy -d mysamples.npy`

## AUTHOR

Written by Michael Hanke & Yaroslav Halchenko, and numerous other contributors.

## COPYRIGHT

Copyright © 2006-2016 PyMVPA developers

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.